import { InterpolationFunction, ThemedStyledProps, Interpolation, CSSObject } from 'styled-components';
export declare function buildMediaQuery({ minWidth, maxWidth }: {
    minWidth?: number;
    maxWidth?: number;
}, not?: boolean): string;
export default buildMediaQuery;
export declare const SIZES: {
    sm: {
        maxWidth: number;
    };
    md: {};
    lg: {
        minWidth: number;
    };
};
export declare const media: {
    sm<T extends object>(first: TemplateStringsArray | CSSObject | InterpolationFunction<ThemedStyledProps<T, {}>>, ...interpolations: Interpolation<ThemedStyledProps<T, {}>>[]): import("styled-components").FlattenInterpolation<ThemedStyledProps<T, any>>;
    md<T extends object>(first: TemplateStringsArray | CSSObject | InterpolationFunction<ThemedStyledProps<T, {}>>, ...interpolations: Interpolation<ThemedStyledProps<T, {}>>[]): import("styled-components").FlattenInterpolation<ThemedStyledProps<T, any>>;
    lg<T extends object>(first: TemplateStringsArray | CSSObject | InterpolationFunction<ThemedStyledProps<T, {}>>, ...interpolations: Interpolation<ThemedStyledProps<T, {}>>[]): import("styled-components").FlattenInterpolation<ThemedStyledProps<T, any>>;
};
