import React from 'react';
interface ContainerProps {
    fullScreen?: boolean;
    zIndex?: number;
    openedZIndex?: number;
}
interface Props extends ContainerProps {
    isOpened?: boolean;
    title: string;
    badgeCount?: number;
    renderContent: () => HTMLElement;
    renderFixedContent: () => HTMLElement;
}
interface State {
    isOpened: boolean;
}
export default class BottomSheet extends React.PureComponent<Props, State> {
    readonly state: {
        isOpened: boolean;
    };
    private headerElement;
    render(): JSX.Element;
    private onChangeToggle;
    private preventDefault;
}
export {};
