import React from 'react';
interface Props {
    type?: string;
    block?: boolean;
    size?: 'lg' | 'md' | 'sm' | 'xs';
    color?: string;
    backgroundColor?: string;
    leftIconSrc?: string;
    rightIconSrc?: string;
    textAlign?: 'left' | 'center' | 'right';
    loading?: boolean;
    borderRadius?: number;
    to?: string;
    href?: string;
    onClick?: (event: React.MouseEvent<HTMLButtonElement> | React.MouseEvent<HTMLAnchorElement>) => void;
    children?: any;
    disabled?: boolean;
    target?: string;
    style?: React.CSSProperties;
}
declare const _default: ({ size, type, leftIconSrc, rightIconSrc, children, disabled, loading, to, href, target, ...restProps }: Props) => JSX.Element;
export default _default;
