import React from 'react';
export interface IconProps {
    size?: number;
    fillColor?: string;
    className?: string;
    style?: React.CSSProperties;
}
export { default as Add } from './generated/Add';
export { default as AddCircleOutline } from './generated/AddCircleOutline';
export { default as Alert } from './generated/Alert';
export { default as Arrow } from './generated/Arrow';
export { default as Bell } from './generated/Bell';
export { default as BellOff } from './generated/BellOff';
export { default as Bookmark } from './generated/Bookmark';
export { default as Bright } from './generated/Bright';
export { default as Camera } from './generated/Camera';
export { default as Category } from './generated/Category';
export { default as Check } from './generated/Check';
export { default as CheckCircle } from './generated/CheckCircle';
export { default as CheckCircleOutline } from './generated/CheckCircleOutline';
export { default as CheckboxIndeterminated } from './generated/CheckboxIndeterminated';
export { default as CheckboxOff } from './generated/CheckboxOff';
export { default as CheckboxOn } from './generated/CheckboxOn';
export { default as Chevron } from './generated/Chevron';
export { default as ChevronDown } from './generated/ChevronDown';
export { default as Clock } from './generated/Clock';
export { default as Close } from './generated/Close';
export { default as CloseCircle } from './generated/CloseCircle';
export { default as Comment } from './generated/Comment';
export { default as Compass } from './generated/Compass';
export { default as Confetti } from './generated/Confetti';
export { default as Contents } from './generated/Contents';
export { default as Coupon } from './generated/Coupon';
export { default as CreditCard } from './generated/CreditCard';
export { default as Crop } from './generated/Crop';
export { default as Crown } from './generated/Crown';
export { default as DepositPassbook } from './generated/DepositPassbook';
export { default as Download } from './generated/Download';
export { default as DropDown } from './generated/DropDown';
export { default as Earybird } from './generated/Earybird';
export { default as Edit } from './generated/Edit';
export { default as EditBody } from './generated/EditBody';
export { default as EditBold } from './generated/EditBold';
export { default as EditBullet } from './generated/EditBullet';
export { default as EditNumber } from './generated/EditNumber';
export { default as EditOutline } from './generated/EditOutline';
export { default as Eye } from './generated/Eye';
export { default as FullScreen } from './generated/FullScreen';
export { default as FullScreenExit } from './generated/FullScreenExit';
export { default as Gear } from './generated/Gear';
export { default as Gift } from './generated/Gift';
export { default as Groove } from './generated/Groove';
export { default as Heart } from './generated/Heart';
export { default as HeartOutline } from './generated/HeartOutline';
export { default as Help } from './generated/Help';
export { default as Home } from './generated/Home';
export { default as Info } from './generated/Info';
export { default as Leaf } from './generated/Leaf';
export { default as LeesonTime } from './generated/LeesonTime';
export { default as Like } from './generated/Like';
export { default as LikeOutline } from './generated/LikeOutline';
export { default as Link } from './generated/Link';
export { default as Location } from './generated/Location';
export { default as Lock } from './generated/Lock';
export { default as LockOutline } from './generated/LockOutline';
export { default as LockOutlineOff } from './generated/LockOutlineOff';
export { default as Logout } from './generated/Logout';
export { default as Menu } from './generated/Menu';
export { default as Message } from './generated/Message';
export { default as MessageOutline } from './generated/MessageOutline';
export { default as Minus } from './generated/Minus';
export { default as MinusCircle } from './generated/MinusCircle';
export { default as MoreHorizontal } from './generated/MoreHorizontal';
export { default as MoreVertical } from './generated/MoreVertical';
export { default as Paper } from './generated/Paper';
export { default as Paper2 } from './generated/Paper2';
export { default as Person } from './generated/Person';
export { default as PersonOutline } from './generated/PersonOutline';
export { default as Phone } from './generated/Phone';
export { default as Photo } from './generated/Photo';
export { default as PhotoAdd } from './generated/PhotoAdd';
export { default as Play } from './generated/Play';
export { default as PlayFast } from './generated/PlayFast';
export { default as PlayForward } from './generated/PlayForward';
export { default as PlayOutline } from './generated/PlayOutline';
export { default as PlayPrevious } from './generated/PlayPrevious';
export { default as PlaySpeedX025 } from './generated/PlaySpeedX025';
export { default as PlaySpeedX05 } from './generated/PlaySpeedX05';
export { default as PlaySpeedX1 } from './generated/PlaySpeedX1';
export { default as PlaySpeedX15 } from './generated/PlaySpeedX15';
export { default as PlaySpeedX2 } from './generated/PlaySpeedX2';
export { default as Project } from './generated/Project';
export { default as Quote } from './generated/Quote';
export { default as Receipt } from './generated/Receipt';
export { default as Replay } from './generated/Replay';
export { default as Reply } from './generated/Reply';
export { default as Report } from './generated/Report';
export { default as RotateClockwise } from './generated/RotateClockwise';
export { default as SaveClass } from './generated/SaveClass';
export { default as Search } from './generated/Search';
export { default as SearchLocation } from './generated/SearchLocation';
export { default as Send } from './generated/Send';
export { default as ShareApple } from './generated/ShareApple';
export { default as Sheild } from './generated/Sheild';
export { default as ShippingTruck } from './generated/ShippingTruck';
export { default as StopPlay } from './generated/StopPlay';
export { default as Store } from './generated/Store';
export { default as TalkHelp } from './generated/TalkHelp';
export { default as TalkHelp2 } from './generated/TalkHelp2';
export { default as Thunder } from './generated/Thunder';
export { default as Timer } from './generated/Timer';
export { default as TimerOutline } from './generated/TimerOutline';
export { default as ToggleOff } from './generated/ToggleOff';
export { default as ToggleOn } from './generated/ToggleOn';
export { default as Trash } from './generated/Trash';
export { default as Undo } from './generated/Undo';
export { default as Volume } from './generated/Volume';
export { default as Web } from './generated/Web';
export { default as Won } from './generated/Won';
export { default as WonCricle } from './generated/WonCricle';
