import React from 'react';
interface Props {
    state: 'preview' | 'funding' | 'sale';
    title: string;
    coverImage: string | React.ReactNode;
    creatorName?: string;
    openDate?: string;
    sale?: number;
    wishlisted?: boolean;
    reservationed?: boolean;
    reservationCount?: number;
    loading?: boolean;
    coverImageRatio?: '1*1' | '4*3' | '16*9';
    onReservationClick?: () => void;
    onWishlistClick: () => void;
}
declare const _default: ({ creatorName, state, openDate, sale, loading, reservationed, reservationCount, onReservationClick, wishlisted, onWishlistClick, coverImageRatio, ...restProps }: Props) => JSX.Element;
export default _default;
